Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface MetaDataConstants

    public interface MetaDataConstants

Provides constants used in the meta-data package.

Field Summary
`static int` | `NO_NAME` Code for an element that does not take a name.
`static int` | `NO_NAME_SPACE` Code for an element that does not appear in any name space.
`static int` | `OPTIONAL_NAME` Code for an element with an optional name.
`static java.lang.String` | `REPORT_DESIGN_NAME` Internal name of the report design element type.
`static java.lang.String` | `REPORT_ELEMENT_NAME` Internal name of the report element type.
`static int` | `REQUIRED_NAME` Code for an element with a required name.
`static java.lang.String` | `STYLE_NAME` Internal name of the style element type.

Field Detail

### STYLE_NAME

    static final java.lang.String STYLE_NAME

  Internal name of the style element type.

  See Also:
    Constant Field Values

### REPORT_ELEMENT_NAME

    static final java.lang.String REPORT_ELEMENT_NAME

  Internal name of the report element type.

  See Also:
    Constant Field Values

### REPORT_DESIGN_NAME

    static final java.lang.String REPORT_DESIGN_NAME

  Internal name of the report design element type.

  See Also:
    Constant Field Values

### NO_NAME_SPACE

    static final int NO_NAME_SPACE

  Code for an element that does not appear in any name space.

  See Also:
    Constant Field Values

### NO_NAME

    static final int NO_NAME

  Code for an element that does not take a name.

  See Also:
    Constant Field Values

### OPTIONAL_NAME

    static final int OPTIONAL_NAME

  Code for an element with an optional name.

  See Also:
    Constant Field Values

### REQUIRED_NAME

    static final int REQUIRED_NAME

  Code for an element with a required name.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.